package de.jottyfan.timetrack.help;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.ConverterException;
import javax.faces.convert.FacesConverter;

/**
 * 
 * @author jotty
 *
 */
@FacesConverter("de.jottyfan.timetrack.help.LocalDateConverter")
public class LocalDateConverter implements Converter<LocalDate> {

	protected final DateTimeFormatter dtf = DateTimeFormatter.ofPattern("dd.MM.yyyy");
	
	@Override
	public LocalDate getAsObject(FacesContext context, UIComponent component, String value) throws ConverterException {
		return LocalDate.from(dtf.parse(value));
	}

	@Override
	public String getAsString(FacesContext context, UIComponent component, LocalDate value) throws ConverterException {
		return value.format(dtf);
	}
}
